[Dock-fans] Problem with installation of dockv6 with zap library on x86_64 OPENSUSE 10.0

Cenk Andac cenk_andac at yahoo.com
Thu Oct 19 15:53:32 PDT 2006


Dear dock community,
 
 I am having difficulties trying to incorporate libOEZAP.a library  in  dock v6 during installation on my x86_64 OPENSUSE 10.0 system. I know that I setup MPICH_HOME and ZAP_HOME environments correctly and set a proper config.h file. However, each time I try to install dock 6, I get the following error message :
 
 make[1]: Leaving directory `/home/jenk/dock6/src/dock/nab'
 /usr/root/mpich2-1.0.3/bin/mpicxx -DBUILD_DOCK_WITH_MPI -DMPICH_IGNORE_CXX_SEEK -I/usr/root/mpich2-1.0.3/src/include -DBUILD_DOCK_WITH_ZAP -I/home/jenk/dock6/zap -O2 -o dock6.pbsa_mpi amber_typer.o base_mpi.o base_score.o conf_gen.o dock.o dockmol.o library_file.o master_score.o orient.o score.o simplex.o utils.o score_solvent.o score_amber.o sasa.o score_chemgrid.o nab/nab.a -lm -L/home/jenk/dock6/zap -lOEZAP
 /usr/lib64/gcc/x86_64-suse-linux/4.0.2/../../../../x86_64-suse-linux/bin/ld: skipping incompatible /home/jenk/dock6/zap/libOEZAP.a when searching for -lOEZAP
 /usr/lib64/gcc/x86_64-suse-linux/4.0.2/../../../../x86_64-suse-linux/bin/ld: cannot find -lOEZAP
 collect2: ld returned 1 exit status
 make: *** [dock6.pbsa_mpi] Error 1
 
 
 It sounds like the libOEZAP.a library is not compatible with my x86_64 linux system. If this is the case is there a x86_64 version of the libOEZAP.a library? or would  there be any workaround to make the current version of the libOEZAP.a library fit my system?
 
 best regards,
 
 jenk.     
 				
---------------------------------
Get your own web address for just $1.99/1st yr. We'll help. Yahoo! Small Business.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://blur.compbio.ucsf.edu/pipermail/dock-fans/attachments/20061019/02ef225d/attachment.html


More information about the Dock-fans mailing list